{
    Файл является частью библиотеки RubiRobotLib

    © 2019-2021 Слинкин Д.А.

    Пользовательские директивы и макросы

    Подробная информация о лицензировании находится в файле README,
    входящем в состав библиотеки.

    ДАННОЕ ПРОГРАММНОЕ ОБЕСПЕЧЕНИЕ ПРЕДОСТАВЛЯЕТСЯ «КАК ЕСТЬ», БЕЗ
    КАКИХ-ЛИБО ГАРАНТИЙ, ЯВНО ВЫРАЖЕННЫХ ИЛИ ПОДРАЗУМЕВАЕМЫХ,
    ВКЛЮЧАЯ ГАРАНТИИ ТОВАРНОЙ ПРИГОДНОСТИ, СООТВЕТСТВИЯ ПО ЕГО
    КОНКРЕТНОМУ НАЗНАЧЕНИЮ И ОТСУТСТВИЯ НАРУШЕНИЙ, НО НЕ ОГРАНИЧИВАЯСЬ 
    ИМИ. НИ В КАКОМ СЛУЧАЕ АВТОРЫ ИЛИ ПРАВООБЛАДАТЕЛИ НЕ НЕСУТ
    ОТВЕТСТВЕННОСТИ ПО КАКИМ-ЛИБО ИСКАМ, ЗА УЩЕРБ ИЛИ ПО ИНЫМ ТРЕБОВАНИЯМ,
    В ТОМ ЧИСЛЕ, ПРИ ДЕЙСТВИИ КОНТРАКТА, ДЕЛИКТЕ ИЛИ ИНОЙ СИТУАЦИИ,
    ВОЗНИКШИМ ИЗ-ЗА ИСПОЛЬЗОВАНИЯ ПРОГРАММНОГО ОБЕСПЕЧЕНИЯ ИЛИ ИНЫХ
    ДЕЙСТВИЙ С ПРОГРАММНЫМ ОБЕСПЕЧЕНИЕМ.

 **********************************************************************}



// -- Особенности компиляции --
{$SMARTLINK ON}
{$MACRO ON}
{$mode objfpc}
{$H+}

// Подавляем предупреждения inline
{$IF FPC_VERSION > 2} {$WARN 6058 off} {$ENDIF}

// определяем полезные макросы

// макрос для подключения базовых модулей проекта
{$define
rubiroBase :=
     cthreads        // поддержка многопоточности в Linux, подключать всегда первым
     ,uev3           // основной модуль
}

// макрос для подключения всех модулей проекта
{$define
rubiroAll :=
     cthreads
     ,uev3
     ,rubiroSound    // поддержка аудио
     ,rubiroButtons  // поддержка кнопок блока
     ,rubiroLeds     // поддержка цветоиндикации блока
     ,rubiroScreen   // поддержка дисплея блока
     ,rubiroMotors   // поддержка моторов и рулевого управления
     ,rubiroSensors  // поддержка датчиков
     ,rubiroBattery  // поддержка блока питания
     ,rubiroParallel // поддержка параллельного исполнения
     ,rubiroWebcam
}

// макрос для подавления inline-предупреждений, рекомендуется использовать
// в секции реализации модулей, после подключения сторонних модулей.
{$define
 __WARNGLOBALOFF := {$IF FPC_VERSION > 2} {$WARN 6058 off} {$ENDIF} 
}

